Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class SortDefinition

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.SortDefinition

All Implemented Interfaces:
  ISortDefinition

    public class SortDefinition

extends java.lang.Object
implements ISortDefinition

Default implementation of the `ISortDefinition` interface.

Field Summary
`protected int` | `direction`
`protected java.lang.String` | `keyColumn`
`protected IScriptExpression` | `keyExpr`

Fields inherited from interface org.eclipse.birt.data.engine.api.ISortDefinition
`ASCII_SORT_STRENGTH, DEFAULT_SORT_STRENGTH, SORT_ASC, SORT_DESC`

Constructor Summary
`SortDefinition()`

Method Summary
`java.lang.String` | `getColumn()` Returns the name of the column to sort on.
`IScriptExpression` | `getExpression()` Returns the JavaScript expression that defines the group key.
`int` | `getSortDirection()` Returns the sort direction.
`com.ibm.icu.util.ULocale` | `getSortLocale()` Return the locale based on which the sort should be done.
`int` | `getSortStrength()` Returns the Strength of sort.
`void` | `setColumn(java.lang.String keyColumn)`
`void` | `setExpression(IScriptExpression keyExpr)`
`void` | `setExpression(java.lang.String keyExpr)`
`void` | `setSortDirection(int sortDirection)`
`void` | `setSortLocale(com.ibm.icu.util.ULocale locale)` Set the locale of the sort.
`void` | `setSortStrength(int strength)` Set the collator sort strength of the destine sort.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyExpr

    protected IScriptExpression keyExpr

### keyColumn

    protected java.lang.String keyColumn

### direction

    protected int direction

Constructor Detail

### SortDefinition

    public SortDefinition()

Method Detail

### getColumn

    public java.lang.String getColumn()

  Returns the name of the column to sort on. Either the KeyColumn or KeyExpr can be used to define the sort key.

  Specified by:
    `getColumn` in interface `ISortDefinition`

### getExpression

    public IScriptExpression getExpression()

  Returns the JavaScript expression that defines the group key.

  Specified by:
    `getExpression` in interface `ISortDefinition`

### setColumn

    public void setColumn(java.lang.String keyColumn)

  Parameters:
    `keyColumn` - Name of key column to sort by

### setExpression

    public void setExpression(java.lang.String keyExpr)

  Parameters:
    `keyExpr` - Key expression to sort by

### setExpression

    public void setExpression(IScriptExpression keyExpr)

### getSortDirection

    public int getSortDirection()

  Returns the sort direction.

  Specified by:
    `getSortDirection` in interface `ISortDefinition`
  Returns:
    the sort direction: one of SORT_ASC or SORT_DESC

### setSortDirection

    public void setSortDirection(int sortDirection)

  Parameters:
    `sortDirection` - The sortDirection to set.

### getSortStrength

    public int getSortStrength()

  Description copied from interface: `ISortDefinition`
  Returns the Strength of sort.

  Specified by:
    `getSortStrength` in interface `ISortDefinition`
  Returns:

### setSortStrength

    public void setSortStrength(int strength)

  Set the collator sort strength of the destine sort.

  Specified by:
    `setSortStrength` in interface `ISortDefinition`
  Parameters:
    `strength` -

### setSortLocale

    public void setSortLocale(com.ibm.icu.util.ULocale locale)

  Description copied from interface: `ISortDefinition`
  Set the locale of the sort.

  Specified by:
    `setSortLocale` in interface `ISortDefinition`
  Parameters:
    `locale` -

### getSortLocale

    public com.ibm.icu.util.ULocale getSortLocale()

  Description copied from interface: `ISortDefinition`
  Return the locale based on which the sort should be done.

  Specified by:
    `getSortLocale` in interface `ISortDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.